// *****************************************************************
// ****                      - hard plAYer -                    ****
// ****     User interface, menu options and file explorer      ****
// ****                  www.tolaemon.com/hplayer               ****
// ****                       Source code                       ****
// ****                       16-10-2008                        ****
// ****                     Jordi Bartolome                     ****
// ****                                                         ****
// **** IMPORTANT:                                              ****
// **** Using parts of this code means accepting all conditions ****
// **** exposed on the web: www.tolaemon.com/hplayer            ****
// *****************************************************************
#ifndef _INTERFACE_
#define _INTERFACE_

#include "ayfwre.h"
#include "lcdg.h"
#include "timers.h"
#include "uart0.h"
#include "ay3891x.h"
#include <avr/pgmspace.h>


#define MAX_KEYB_SAMPLES 5 // is the size of the buffer used to store the keyboard samples
#define TIME_BOUNCING_FILTER 40000

#define TIME_FORCE_REFRESH_LCD 240000//120000

#define INTERFACE_STATE_INTRO 0
#define INTERFACE_STATE_FILE_EXPLORER 1
#define INTERFACE_STATE_FILE_LOADING 2
#define INTERFACE_STATE_FILE_PLAYING_SHOW_INFO 3
#define INTERFACE_STATE_FILE_PLAYING_SHOW_TIME 4
#define INTERFACE_STATE_FILE_PLAYING_CHANGE_SPPED 5
#define INTERFACE_STATE_FILE_PLAYING_LOOPING 6
#define INTERFACE_STATE_FILE_ERROR 7
#define INTERFACE_STATE_CARD_ERROR 8
#define INTERFACE_STATE_NOTHING_TO_DO 9


#define INTERFACE_BUTTON_MASK 0xE1

#define SWITCH4 0x02
#define SWITCH3 0x04
#define SWITCH2 0x08
#define SWITCH1 0x10

#define NUMB_FILE_EXPL_ENTRIES 7 // is the maximum number of directory entries that may apear on the LCD

void INTERFACE_Init();
void INTERFACE_LoadSwButtonsState();
void INTERFACE_Motor();

#endif

